Draft Label/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 23: Line 23:
* Direcția segmentului drept (dreapta sau stânga) va justifica automat textul stânga sau dreapta.
* Direcția segmentului drept (dreapta sau stânga) va justifica automat textul stânga sau dreapta.


==Properties==
==Proprietăți==


* {{PropertyData|Label Type}}: The type of information shown by this label (see below)
* {{PropertyData|Label Type}}: The type of information shown by this label (see below)

Revision as of 08:41, 16 November 2018

Draft Label

poziția meniului
Draft → Label
Ateliere
Draft, Arch
scurtătură
D L
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Acest instrument introduce o etichetă, care este o fragment de text cu o linie de 2 segmente și o săgeată, în documentul activ. Dacă se selectează un obiect sau un sub-element (față, muchie sau vârf) la pornirea comenzii, eticheta poate fi făcută să afișeze automat un anumit atribut al elementului selectat.

How to use

  1. Opțional, selectați un obiect sau un subelement al unui obiect (Vertex, margine sau fațetă)
  2. Apăsați butonul 16px Etichetă de proiectare sau apăsați D apoi tastele L
  3. Faceți clic pe un prim punct al vizualizării 3D sau introduceți un Coordinate coordinate pentru a indica punctul țintă (poziția săgeții). Acest lucru poate fi oriunde, nu trebuie să fie exact pe elementul selectat
  4. Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un coordinate pentru a indica punctul intermediar care reprezintă începutul segmentului drept.
  5. Faceți clic pe un al treilea punct din vizualizarea 3D sau tastați un coordinate pentru a indica poziția textului.

Opţiuni

  • Apăsând pe CTRL, snap punctul dvs. de locații disponibile snap.
  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsând ESC se va anula operația.
  • Direcția segmentului drept (dreapta sau stânga) va justifica automat textul stânga sau dreapta.

Proprietăți

  • DateLabel Type: The type of information shown by this label (see below)
  • DateCustom Text: The text to display when Label Type is set to custom
  • DatePlacement: Indicates the rotation and the position of the text
  • DateStraight Distance: The length of the straight segment
  • DateStraight Direction: The direction of the straight segment Horizontal or vertical
  • DateTarget Point: The point indicated by this label
  • VizualizareText Size: The size of the text
  • VizualizareText Font: The font used for the text
  • VizualizareText Alignment: The vertical alignment of the text: Top, middle or bottom
  • VizualizareText Color: The color of the text
  • VizualizareLine Width: The width of the line
  • VizualizareLine Color: The color of the line
  • VizualizareArrow Type: The type of the arrow: Dot, circle, arrow or tick.
  • VizualizareArrow Size: The size of the arrow
  • VizualizareFrame: Draws a frame around the text

Label types

  • Custom: Shows the contents of the Custom Text property
  • Name: Shows the name of the target object
  • Label: Shows the label of the target object
  • Position: Shows the coordinates of the target object (Placement base point), or the coordinates of the target vertex, if applicable, or the coordinates of the center of the target subelement (center of mass)
  • Length: Shows the length of the target subelement, if possible
  • Area: Shows the area of the target subelement, if possible
  • Volume: Shows the volume of the target object, if possible
  • Tag: Shows the tag value of the target object, if the target object has such property (which is the case of all Arch objects)
  • Material: Shows the label of the material of the target object, if the target object has such property

Scripting

Instrumentul Text poate fi utilizat în macros și din consola python utilizând următoarea funcție:

makeLabel(targetpoint=None,target=None,direction=None,distance=None,labeltype=None,placement=None)
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD,Draft
selection = FreeCADGui.Selection.getSelectionEx()[0]
Draft.makeLabel(FreeCAD.Vector(10,-10,0),selection,"Horizontal",20,"Label")